# Claunia.PropertyList.NSArray

plist-cil : Claunia.PropertyList Namespace

# NSArray Class

Represents an Array.

## Syntax

public class NSArray : NSObject

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from NSObject.

## Public Constructors

| NSArray (params NSObject[]) | Creates a array from an existing one
| NSArray (int) | Creates an empty array of the given length.

## Public Properties

[read-only] | Count | int . Returns the size of the array.

## Public Methods

ContainsObject (object) : bool

> Checks whether an object is present in the array or whether it is equal to any of the objects in the array.

override

Equals (NSObject) : bool

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSArray.

abstract

Equals (NSObject) : bool

> Determines if the specific NSObject is the same as the NSObject overriding this method. (Inherited from NSObject.)

override

Equals (object) : bool

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSArray.

GetArray () : NSObject[]

> Returns the array of NSObjects represented by this NSArray. Any changes to the values of this array will also affect the NSArray.

override

GetHashCode () : int

> Serves as a hash function for a Claunia.PropertyList.NSArray object.

IndexOfIdenticalObject (object) : int

> Searches for an object in the array. If it is found its index will be returned. This method only returns the index of an object that is identical to the given one. Thus objects that might contain the same value as the given one will not be considered.

IndexOfObject (object) : int

> Searches for an object in the array. If it is found its index will be returned. This method also returns an index if the object is not the same as the one stored in the array but has equal contents.

LastObject () : NSObject

> Returns the last object contained in this array.

ObjectAtIndex (int) : NSObject

> Returns the object stored at the given index.

ObjectsAtIndexes (params int[]) : NSObject[]

> Returns a new array containing only the values stored at the given indices. The values are sorted by their index.

Remove (int)

> Remove the i-th element from the array. The array will be resized.

SetValue (int, object)

> Stores an object at the specified index. If there was another object stored at that index it will be replaced.

ToASCIIPropertyList () : string

> Generates a valid ASCII property list which has this NSArray as its root object.

> The generated property list complies with the format as described in https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/PropertyLists/OldStylePlists/OldStylePLists.html Property List Programming Guide - Old-Style ASCII Property Lists.

ToGnuStepASCIIPropertyList () : string

> Generates a valid ASCII property list in GnuStep format which has this NSArray as its root object.

> The generated property list complies with the format as described in http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSPropertyList.html GnuStep - NSPropertyListSerialization class documentation.

ToObject () : object

> Converts this NSObject into an equivalent object of the .NET Runtime Environment.

> Claunia.PropertyList.NSArray objects are converted to arrays.

> Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class.

> Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class.

> Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool).

> Claunia.PropertyList.NSString objects are converted to string objects.

> Claunia.PropertyList.NSData objects are converted to byte arrays.

> Claunia.PropertyList.NSDate objects are converted to DateTime objects.

> Claunia.PropertyList.UID objects are converted to byte arrays.

> (Inherited from NSObject.)

ToXmlPropertyList () : string

> Generates a valid XML property list including headers using this object as root. (Inherited from NSObject.)

## Member Details

### NSArray Constructor

> Creates a array from an existing one

> ## Syntax

> public NSArray (params NSObject[] a)

> #### Parameters

> > a
> >   The array which should be wrapped by the NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSArray Constructor

> Creates an empty array of the given length.

> ## Syntax

> public NSArray (int length)

> #### Parameters

> > length
> >   The number of elements this array will be able to hold.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsObject Method

> Checks whether an object is present in the array or whether it is equal to any of the objects in the array.

> ## Syntax

> public bool ContainsObject (object obj)

> #### Parameters

> > obj
> >   The object to look for.

> #### Returns

> > `true`, when the object could be found. `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Count Property

> Returns the size of the array.

> ## Syntax

> public int Count { get; }

> #### Value

> > The number of elements that this array can store.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSArray.

> ## Syntax

> public override bool Equals (NSObject obj)

> #### Parameters

> > obj
> >   The Claunia.PropertyList.NSObject to compare with the current Claunia.PropertyList.NSArray.

> #### Returns

> > `true` if the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSArray; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSArray.

> ## Syntax

> public override bool Equals (object obj)

> #### Parameters

> > obj
> >   The object to compare with the current Claunia.PropertyList.NSArray.

> #### Returns

> > `true` if the specified object is equal to the current Claunia.PropertyList.NSArray; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetArray Method

> Returns the array of NSObjects represented by this NSArray. Any changes to the values of this array will also affect the NSArray.

> ## Syntax

> public NSObject[] GetArray ()

> #### Returns

> > The actual array represented by this NSArray.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetHashCode Method

> Serves as a hash function for a Claunia.PropertyList.NSArray object.

> ## Syntax

> public override int GetHashCode ()

> #### Returns

> > A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### IndexOfIdenticalObject Method

> Searches for an object in the array. If it is found its index will be returned. This method only returns the index of an object that is identical to the given one. Thus objects that might contain the same value as the given one will not be considered.

> ## Syntax

> public int IndexOfIdenticalObject (object obj)

> #### Parameters

> > obj
> >   The object to look for.

> #### Returns

> > The index of the object, if it was found. -1 otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### IndexOfObject Method

> Searches for an object in the array. If it is found its index will be returned. This method also returns an index if the object is not the same as the one stored in the array but has equal contents.

> ## Syntax

> public int IndexOfObject (object obj)

> #### Parameters

> > obj
> >   The object to look for.

> #### Returns

> > The index of the object, if it was found. -1 otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### LastObject Method

> Returns the last object contained in this array.

> ## Syntax

> public NSObject LastObject ()

> #### Returns

> > The value of the highest index in the array.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ObjectAtIndex Method

> Returns the object stored at the given index.

> ## Syntax

> public NSObject ObjectAtIndex (int i)

> #### Parameters

> > i
> >   The index of the object.

> #### Returns

> > The object at the given index.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ObjectsAtIndexes Method

> Returns a new array containing only the values stored at the given indices. The values are sorted by their index.

> ## Syntax

> public NSObject[] ObjectsAtIndexes (params int[] indexes)

> #### Parameters

> > indexes
> >   The indices of the objects.

> #### Returns

> > The new array containing the objects stored at the given indices.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Remove Method

> Remove the i-th element from the array. The array will be resized.

> ## Syntax

> public void Remove (int i)

> #### Parameters

> > i
> >   The index of the object

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SetValue Method

> Stores an object at the specified index. If there was another object stored at that index it will be replaced.

> ## Syntax

> public void SetValue (int key, object value)

> #### Parameters

> > key
> >   The index where to store the object.
> > value
> >   The object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ToASCIIPropertyList Method

> Generates a valid ASCII property list which has this NSArray as its root object.

> The generated property list complies with the format as described in https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/PropertyLists/OldStylePlists/OldStylePLists.html Property List Programming Guide - Old-Style ASCII Property Lists.

> ## Syntax

> public string ToASCIIPropertyList ()

> #### Returns

> > ASCII representation of this object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ToGnuStepASCIIPropertyList Method

> Generates a valid ASCII property list in GnuStep format which has this NSArray as its root object.

> The generated property list complies with the format as described in http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSPropertyList.html GnuStep - NSPropertyListSerialization class documentation.

> ## Syntax

> public string ToGnuStepASCIIPropertyList ()

> #### Returns

> > GnuStep ASCII representation of this object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0